ChangeSet 1.930.159.3, 2003/06/20 14:31:04-07:00, greg@kroah.com

[PATCH] USB: 2.4 fix UHCI debug kmalloc() usage

Here's a patch from Tony Luck that fixes a problem with the UHCI
debugging code on architectures with big page sizes. We end up
allocating more than kmalloc allows.


 drivers/usb/host/uhci-debug.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci-debug.h b/drivers/usb/host/uhci-debug.h
--- a/drivers/usb/host/uhci-debug.h	Fri Jun 27 16:27:26 2003
+++ b/drivers/usb/host/uhci-debug.h	Fri Jun 27 16:27:26 2003
@@ -464,7 +464,7 @@
 }
 
 #ifdef CONFIG_PROC_FS
-#define MAX_OUTPUT	(PAGE_SIZE * 8)
+#define MAX_OUTPUT	(64 * 1024)
 
 static struct proc_dir_entry *uhci_proc_root = NULL;
 
